Subject: (usr-tc) ARC tftp upload

From: Charles Sprickman <[email-masked]>
Date: Wed, 19 Jan 2000 20:57:40 +0000

Hi,

Is there any way (not involving snmp) to upload new code to the arc?  Or
to download from the arc cli?

On site, and would like to give this a whirl as my laptop (w/TCM) is being
unpredictable...

Thanks,

Charles

-- 
=-----------------=                                        = 
| Charles Sprickman                       Internet Channel |
| INCH System Administration Team         (212)243-5200    |
| [email-masked]                          [email-masked]  |
=                                         =----------------=

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.

---

From: Mike Wronski <[email-masked]>
Date: Wed, 19 Jan 2000 21:01:11 +0000

TFTP direct or z-modem via console port..

-M

|-----Original Message-----
|From: [email-masked]
|[mailto:[email-masked]]On Behalf Of Charles Sprickman
|Sent: Wednesday, January 19, 2000 12:53 PM
|To: [email-masked]
|Subject: (usr-tc) ARC tftp upload
|
|
|Hi,
|
|Is there any way (not involving snmp) to upload new code to the arc?  Or
|to download from the arc cli?
|
|On site, and would like to give this a whirl as my laptop (w/TCM) is being
|unpredictable...
|
|Thanks,
|
|Charles
|
|-- 
|=-----------------=                                        = 
|| Charles Sprickman                       Internet Channel |
|| INCH System Administration Team         (212)243-5200    |
|| [email-masked]                          [email-masked]  |
|=                                         =----------------=
|
|
|-
| To unsubscribe to usr-tc, send an email to "[email-masked]"
| with "unsubscribe usr-tc" in the body of the message.
| For information on digests or retrieving files and old messages send
| "help" to the same address.  Do not use quotes in your message.
|

-

---

From: Jeff Mcadams <[email-masked]>
Date: Wed, 19 Jan 2000 21:13:05 +0000

Thus spake Charles Sprickman

>On site, and would like to give this a whirl as my laptop (w/TCM) is being

If the Arc has software code up and running, it has tftp client and
server capabilities.  You can use either to get the code to the Arc.

As long as you can get the code to the Arc and stored in the flash
filesystem as "netserve.dmf", it will see it on the next boot up and
install the new code for use.

If the Arc *doesn't* have operational code running, the boot prom has
tftp client capabilities...in the initial bootup, if you're plugged into
the console of the Arc, you'll see a boot menu come up...from there you
can pick a tftp server IP, filename, etc. select boot from network, boot
from network once, and indicate the Arc's ip address, netmask and
gateway during the process...it is safe to use the same ip address
during this process that the Arc usually uses since the two stacks are
never active at the same time.  This would allow it to pull the dmf
image off a tftp server during the boot process even if there is no
runnable image on the Arc currently.
-- 
Jeff McAdams                            Email: [email-masked]
Head Network Administrator              Voice: (502) 966-3848
IgLou Internet Services                        (800) 436-4456

-